<?php
 abstract class Easy_Controller_Action{
 	protected $translate;
 	protected  $_Request;
 	public $_View;
	public function __construct($array = null){
		$this->_Request = new Easy_Controller_Request();
		if (is_null($array) == false){
			foreach($array as $key=>$obj){
				$this->$key = $obj;
			}
		}
		
		$this->init();
	}
	public function init(){
	}
	public function __set($name, $value){
		$this->$name = $value;
	}
	public function __get($name){
		return $this->$name;
	}
	public function __call($method, $args){
		if (method_exists($this, $method) === false){
			exit('调用了错误的类方法名:'.$method);
		}
	}
}